//  Box with 20 um sides
Mesh.CharacteristicLengthExtendFromBoundary = 0; /* don't extend from boundary points */
Mesh.Algorithm3D = 1;     // Delaunay
Mesh.RandomFactor = 1e-7; // mesh perturbation

um = 1.0e-4;              // [cm]
nm = 1.0e-7;              // [cm]

Mesh.CharacteristicLengthMax = 1*um; // maximum characteristic length
Mesh.CharacteristicLengthMin=10*nm;
cl = 200*nm; // coarse mesh

// device dimensions (silicon volume)
dimX = 20*um;
dimY = dimX;      // square cell

// box
Point(1) = {-dimX/2, -dimY/2, 0, cl};
Point(2) = {dimX/2,  -dimY/2, 0, cl};
Point(3) = {dimX/2,   dimY/2, 0, cl};
Point(4) = {-dimX/2,  dimY/2, 0, cl};

// box boundary lines
Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};

// box line loops
Line Loop(1) = {1, 2, 3, 4};

// boundary surface
Plane Surface(1) = {1};

// box physical element
Physical Surface("box") = {1};

