//  box with 20 um side and 5 um thickness
Mesh.CharacteristicLengthExtendFromBoundary = 0; /* don't extend from boundary points */
Mesh.Algorithm3D = 1;     // Delaunay
Mesh.RandomFactor = 1e-7; // mesh perturbation

um = 1.0e-4;              // [cm]
nm = 1.0e-7;              // [cm]

Mesh.CharacteristicLengthMax = 1*um; // maximum characteristic length
Mesh.CharacteristicLengthMin=10*nm;
cl = 200*nm; // coarse mesh

// device dimensions (silicon volume)
dimX = 20*um;
dimY = dimX;      // square cell
dimZ = 5*um;

// bottom surface
Point(1) = {-dimX/2, -dimY/2, 0, cl};
Point(2) = {dimX/2,  -dimY/2, 0, cl};
Point(3) = {dimX/2,   dimY/2, 0, cl};
Point(4) = {-dimX/2,  dimY/2, 0, cl};
// top surface
Point(5) = {-dimX/2, -dimY/2, dimZ, cl};
Point(6) = {dimX/2 , -dimY/2, dimZ, cl};
Point(7) = {dimX/2 ,  dimY/2, dimZ, cl};
Point(8) = {-dimX/2,  dimY/2, dimZ, cl};

// bottom boundary lines
Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};
// top boundary lines
Line(5) = {5, 6};
Line(6) = {6, 7};
Line(7) = {7, 8};
Line(8) = {8, 5};
// side boundary lines
Line(9) = {1, 5};
Line(10) = {2, 6};
Line(11) = {3, 7};
Line(12) = {4, 8};

// boundary line loops
Line Loop(1) = {1, 2, 3, 4};
Line Loop(2) = {5, 6, 7, 8};
Line Loop(3) = {1, 10, -5, -9};
Line Loop(4) = {2, 11, -6, -10};
Line Loop(5) = {-3, 11, 7, -12};
Line Loop(6) = {-4, 12, 8, -9};

// boundary surfaces
Plane Surface(1) = {1};
Plane Surface(2) = {2};
Plane Surface(3) = {3};
Plane Surface(4) = {4};
Plane Surface(5) = {5};
Plane Surface(6) = {6};

// box boundary surface loop
Surface Loop(1) = {1, 2, 3, 4, 5, 6};

// box volume
Volume(1) = {1};

// box physical elements
Physical Volume("box") = {1};

