import sys
from ds import *
import refinement

set_parameter(name='debug_level', value='info')

um = 1e-4

if (len(sys.argv) > 1):
    dim = int(sys.argv[1])
    if dim < 2 or dim > 3:
        dim = 2
else:
    dim = 2
print dim

from math import cos
from math import sin
symdiff(expr="declare(sin(x))")
symdiff(expr="define(cos(x), -sin(x))")
symdiff(expr="define(sin(x), cos(x))")
register_function(name="cos", nargs=1)
register_function(name="sin", nargs=1)

device='box'
region=device
device_mesh='box%s.msh' %(dim)

#read the mesh
create_gmsh_mesh(mesh=device, file=device_mesh)
add_gmsh_region(mesh=device, gmsh_name=region, region=region, material='Silicon')
finalize_mesh(mesh=device)
create_device(mesh=device, device=device)

node_model(device=device, region=region, name="sinc", equation='''
    $r = 1e4*(x^2+y^2)^0.5+0.001;
    sin($r)/$r
    ''')
edge_average_model(device=device, region=region, node_model='sinc',edge_model='ds',average_type='gradient')
element_from_edge_model(edge_model="ds", device=device, region=region)
write_devices(file='test', type='vtk')
element_model(device=device, region=region, name="ds_mag", equation='(ds_x^2+ds_y^2)^(0.5)')

print 'len(ds_mag) =', len(get_element_model_values(device=device, region=region, name="ds_mag"))

write_devices(file='test_final', type='vtk')
sys.exit(0)
